Index: trunk/cmake-modules/FlairUseFile.cmake
===================================================================
--- trunk/cmake-modules/FlairUseFile.cmake	(revision 61)
+++ trunk/cmake-modules/FlairUseFile.cmake	(revision 62)
@@ -104,6 +104,5 @@
 	IF (FLAIR_USE_SIMULATOR_GL)
 		ADD_DEFINITIONS("-DGL")
-		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_gl.a
-			 ${SIMU_LIBRARY} GL ${FLAIR_LIBRARIES} Irrlicht Xxf86vm)
+		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_gl.a ${SIMU_LIBRARY} GL ${FLAIR_LIBRARIES} Irrlicht Xxf86vm)
 	else()
 		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_nogl.a ${SIMU_LIBRARY} ${FLAIR_LIBRARIES})
Index: trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js	(revision 61)
+++ trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js	(revision 62)
@@ -3,4 +3,5 @@
     [ "Semaphore", "classflair_1_1core_1_1_semaphore.html#a5db3e44d22d40dd29f6853394300d1df", null ],
     [ "~Semaphore", "classflair_1_1core_1_1_semaphore.html#ae1a3001af72b853a3de39bd11f564790", null ],
+    [ "TryGetSemaphore", "classflair_1_1core_1_1_semaphore.html#a4d7c9d659a42a4db62a56226b211cfc5", null ],
     [ "GetSemaphore", "classflair_1_1core_1_1_semaphore.html#a640b354e4a388130befe88ea2b6a2c09", null ],
     [ "ReleaseSemaphore", "classflair_1_1core_1_1_semaphore.html#a045a06ff109107b9d767efc2ec66d180", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1_shared_mem.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_shared_mem.js	(revision 61)
+++ trunk/doc/Flair/classflair_1_1core_1_1_shared_mem.js	(revision 62)
@@ -8,5 +8,5 @@
     [ "~SharedMem", "classflair_1_1core_1_1_shared_mem.html#af3f51c01e679a8dd1f6f7c64cee55ed7", null ],
     [ "Write", "classflair_1_1core_1_1_shared_mem.html#a7609d68ab9155055bea84cafaf741392", null ],
-    [ "Read", "classflair_1_1core_1_1_shared_mem.html#a9b3efaf91b3a62a58d4466bcaa03b590", null ],
+    [ "Read", "classflair_1_1core_1_1_shared_mem.html#a834ba5f2d06345b0125f7ba8b66391b6", null ],
     [ "ReaderReady", "classflair_1_1core_1_1_shared_mem.html#aead806d7b3e48aecefcbb3dcd724ef49", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js	(revision 61)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js	(revision 62)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_imu =
 [
-    [ "Imu", "classflair_1_1sensor_1_1_imu.html#ab8c2e7ec4d6d6d4efd175d2ce0811159", null ],
+    [ "Imu", "classflair_1_1sensor_1_1_imu.html#a6d89cc906fe0eeb233aa50bf59f99bb3", null ],
     [ "Imu", "classflair_1_1sensor_1_1_imu.html#a5dc17ecf8caf9aaa41ec0a6ec43adf6a", null ],
     [ "~Imu", "classflair_1_1sensor_1_1_imu.html#ab01ce2e6b89698b001da63ae8df1722a", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_neo_m8_n.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_neo_m8_n.js	(revision 62)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_neo_m8_n.js	(revision 62)
@@ -0,0 +1,5 @@
+var classflair_1_1sensor_1_1_neo_m8_n =
+[
+    [ "NeoM8N", "classflair_1_1sensor_1_1_neo_m8_n.html#af6a4f92fb6b657ef64c2613f6c7a3673", null ],
+    [ "~NeoM8N", "classflair_1_1sensor_1_1_neo_m8_n.html#a2c206a51496a87a5d3ce9539c95a3ad0", null ]
+];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js	(revision 61)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js	(revision 62)
@@ -21,5 +21,4 @@
     [ "GetPlotTab", "classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6", null ],
     [ "SetRef", "classflair_1_1sensor_1_1_nmea_gps.html#a135e080ecff933da9b60cc6e613b543e", null ],
-    [ "GetEnu", "classflair_1_1sensor_1_1_nmea_gps.html#af3b2504dd9cdb94ee02c49f21dc0c1d8", null ],
     [ "parseFrame", "classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8", null ],
     [ "GetDatas", "classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676", null ],
Index: trunk/doc/Flair/files.js
===================================================================
--- trunk/doc/Flair/files.js	(revision 61)
+++ trunk/doc/Flair/files.js	(revision 62)
@@ -173,4 +173,7 @@
       [ "Mutex", "classflair_1_1core_1_1_mutex.html", "classflair_1_1core_1_1_mutex" ]
     ] ],
+    [ "NeoM8N.h", "_neo_m8_n_8h.html", [
+      [ "NeoM8N", "classflair_1_1sensor_1_1_neo_m8_n.html", "classflair_1_1sensor_1_1_neo_m8_n" ]
+    ] ],
     [ "NestedSat.h", "_nested_sat_8h.html", [
       [ "NestedSat", "classflair_1_1filter_1_1_nested_sat.html", "classflair_1_1filter_1_1_nested_sat" ]
Index: trunk/doc/Flair/hierarchy.js
===================================================================
--- trunk/doc/Flair/hierarchy.js	(revision 61)
+++ trunk/doc/Flair/hierarchy.js	(revision 62)
@@ -97,4 +97,5 @@
         [ "flair::sensor::NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html", [
           [ "flair::sensor::Mb800", "classflair_1_1sensor_1_1_mb800.html", null ],
+          [ "flair::sensor::NeoM8N", "classflair_1_1sensor_1_1_neo_m8_n.html", null ],
           [ "flair::sensor::Novatel", "classflair_1_1sensor_1_1_novatel.html", null ],
           [ "flair::sensor::SimuGps", "classflair_1_1sensor_1_1_simu_gps.html", null ]
@@ -150,4 +151,5 @@
         [ "flair::sensor::HostEthController", "classflair_1_1sensor_1_1_host_eth_controller.html", null ],
         [ "flair::sensor::Mb800", "classflair_1_1sensor_1_1_mb800.html", null ],
+        [ "flair::sensor::NeoM8N", "classflair_1_1sensor_1_1_neo_m8_n.html", null ],
         [ "flair::sensor::Novatel", "classflair_1_1sensor_1_1_novatel.html", null ],
         [ "flair::sensor::SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", null ],
Index: trunk/doc/Flair/namespaceflair_1_1sensor.js
===================================================================
--- trunk/doc/Flair/namespaceflair_1_1sensor.js	(revision 61)
+++ trunk/doc/Flair/namespaceflair_1_1sensor.js	(revision 62)
@@ -11,4 +11,5 @@
     [ "LaserRangeFinder", "classflair_1_1sensor_1_1_laser_range_finder.html", "classflair_1_1sensor_1_1_laser_range_finder" ],
     [ "Mb800", "classflair_1_1sensor_1_1_mb800.html", "classflair_1_1sensor_1_1_mb800" ],
+    [ "NeoM8N", "classflair_1_1sensor_1_1_neo_m8_n.html", "classflair_1_1sensor_1_1_neo_m8_n" ],
     [ "NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html", "classflair_1_1sensor_1_1_nmea_gps" ],
     [ "Novatel", "classflair_1_1sensor_1_1_novatel.html", "classflair_1_1sensor_1_1_novatel" ],
Index: trunk/doc/Flair/navtreedata.js
===================================================================
--- trunk/doc/Flair/navtreedata.js	(revision 61)
+++ trunk/doc/Flair/navtreedata.js	(revision 62)
@@ -31,11 +31,11 @@
 [
 "_afro_bldc_8h.html",
-"_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9",
-"classflair_1_1core_1_1_i_o_data_element.html",
-"classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df",
-"classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0",
-"classflair_1_1meta_1_1_uav_state_machine.html#a5d199a6fe92006ab0a76eda9b723a256",
-"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3",
-"functions_func_r.html"
+"_vector3_d_8h.html#a661465072c8d4b3592abde48c068d73a",
+"classflair_1_1core_1_1_i2c_port.html#ae12b6920d11f939272b08d36409406ce",
+"classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e",
+"classflair_1_1filter_1_1_uav_multiplex.html#aa9a7e053431c9a266df9754da194132d",
+"classflair_1_1meta_1_1_uav_state_machine.html#a479a742afa89d898c03aeb0a06d8f290",
+"classflair_1_1sensor_1_1_simu_camera_g_l.html#a104e677904ce4782fb78cdf5f0a5b82d",
+"functions_func_m.html"
 ];
 
Index: trunk/doc/Flair/navtreeindex0.js
===================================================================
--- trunk/doc/Flair/navtreeindex0.js	(revision 61)
+++ trunk/doc/Flair/navtreeindex0.js	(revision 62)
@@ -115,139 +115,139 @@
 "_mutex_8h.html":[2,0,65],
 "_mutex_8h_source.html":[2,0,65],
-"_nested_sat_8h.html":[2,0,66],
-"_nested_sat_8h_source.html":[2,0,66],
-"_nmea_gps_8h.html":[2,0,67],
-"_nmea_gps_8h_source.html":[2,0,67],
-"_novatel_8h.html":[2,0,68],
-"_novatel_8h_source.html":[2,0,68],
-"_object_8h.html":[2,0,69],
-"_object_8h.html#a0e8095ce1ed00bd4150a20c72d4e4330":[2,0,69,2],
-"_object_8h.html#a63b4b9f532f414a0e0023acaf81f845e":[2,0,69,8],
-"_object_8h.html#a855a0b471afb53d73f572c402f1737e0":[2,0,69,3],
-"_object_8h.html#a9b03c04ef7c1cc240afc43e9ef8ba8b7":[2,0,69,6],
-"_object_8h.html#aa7fe0d3548e4e65719702a7fb29775b1":[2,0,69,9],
-"_object_8h.html#acc0fa041e08ecf73b2d1d723c339a736":[2,0,69,7],
-"_object_8h.html#ad436e1e1d6bf1c744f5eca58bfa1fcc8":[2,0,69,4],
-"_object_8h.html#ae1568cf3090c973c3bc47f86ae2f5afb":[2,0,69,5],
-"_object_8h_source.html":[2,0,69],
-"_one_axis_rotation_8h.html":[2,0,70],
-"_one_axis_rotation_8h_source.html":[2,0,70],
-"_parser_8h_source.html":[2,0,71],
-"_picture_8h.html":[2,0,72],
-"_picture_8h_source.html":[2,0,72],
-"_pid_8h.html":[2,0,73],
-"_pid_8h_source.html":[2,0,73],
-"_pid_thrust_8h.html":[2,0,74],
-"_pid_thrust_8h_source.html":[2,0,74],
-"_ps3_eye_8h.html":[2,0,75],
-"_ps3_eye_8h_source.html":[2,0,75],
-"_push_button_8h.html":[2,0,76],
-"_push_button_8h_source.html":[2,0,76],
-"_quaternion_8h.html":[2,0,77],
-"_quaternion_8h.html#a1344cd050aed7267279064d9f51e5bf3":[2,0,77,5],
-"_quaternion_8h.html#a5b293c3961eee927ab186df043028a4e":[2,0,77,6],
-"_quaternion_8h.html#a7a25a222fe16e05be703de31123a6d11":[2,0,77,4],
-"_quaternion_8h.html#ab372a1107820a30d6fcbef13c8989caa":[2,0,77,1],
-"_quaternion_8h.html#ac696d4111ec3b0241bc094add5666245":[2,0,77,2],
-"_quaternion_8h.html#af80d99fd1ebc9ab4059ec19d5e9cf2a1":[2,0,77,3],
-"_quaternion_8h_source.html":[2,0,77],
-"_r_t_d_m___i2c_port_8h.html":[2,0,81],
-"_r_t_d_m___i2c_port_8h_source.html":[2,0,81],
-"_r_t_d_m___serial_port_8h.html":[2,0,82],
-"_r_t_d_m___serial_port_8h_source.html":[2,0,82],
-"_radio_receiver_8h.html":[2,0,78],
-"_radio_receiver_8h_source.html":[2,0,78],
-"_range_finder_plot_8h.html":[2,0,79],
-"_range_finder_plot_8h_source.html":[2,0,79],
-"_rotation_matrix_8h.html":[2,0,80],
-"_rotation_matrix_8h_source.html":[2,0,80],
-"_semaphore_8h.html":[2,0,83],
-"_semaphore_8h_source.html":[2,0,83],
-"_send_data_8h.html":[2,0,84],
-"_send_data_8h_source.html":[2,0,84],
-"_sensor_g_l_8h_source.html":[2,0,85],
-"_serial_port_8h.html":[2,0,86],
-"_serial_port_8h_source.html":[2,0,86],
-"_shared_mem_8h.html":[2,0,87],
-"_shared_mem_8h_source.html":[2,0,87],
-"_simu_ahrs_8h.html":[2,0,88],
-"_simu_ahrs_8h_source.html":[2,0,88],
-"_simu_bldc_8h.html":[2,0,89],
-"_simu_bldc_8h_source.html":[2,0,89],
-"_simu_camera_8h.html":[2,0,90],
-"_simu_camera_8h_source.html":[2,0,90],
-"_simu_camera_g_l_8h.html":[2,0,91],
-"_simu_camera_g_l_8h.html#a120fb070bddb21f0bd899f50252c4cb5":[2,0,91,1],
-"_simu_camera_g_l_8h_source.html":[2,0,91],
-"_simu_gps_8h.html":[2,0,92],
-"_simu_gps_8h_source.html":[2,0,92],
-"_simu_imu_8h.html":[2,0,93],
-"_simu_imu_8h_source.html":[2,0,93],
-"_simu_laser_8h_source.html":[2,0,94],
-"_simu_laser_g_l_8h_source.html":[2,0,95],
-"_simu_us_8h.html":[2,0,97],
-"_simu_us_8h_source.html":[2,0,97],
-"_simu_us_g_l_8h.html":[2,0,98],
-"_simu_us_g_l_8h_source.html":[2,0,98],
-"_simu_x4_8h.html":[2,0,99],
-"_simu_x4_8h_source.html":[2,0,99],
-"_simu_x8_8h.html":[2,0,100],
-"_simu_x8_8h_source.html":[2,0,100],
-"_simulator_8h_source.html":[2,0,96],
-"_spin_box_8h.html":[2,0,101],
-"_spin_box_8h_source.html":[2,0,101],
-"_srf08_8h.html":[2,0,102],
-"_srf08_8h_source.html":[2,0,102],
-"_tab_8h.html":[2,0,103],
-"_tab_8h_source.html":[2,0,103],
-"_tab_widget_8h.html":[2,0,104],
-"_tab_widget_8h_source.html":[2,0,104],
-"_target_controller_8h_source.html":[2,0,105],
-"_target_eth_controller_8h_source.html":[2,0,106],
-"_tcp_socket_8h.html":[2,0,107],
-"_tcp_socket_8h_source.html":[2,0,107],
-"_text_edit_8h.html":[2,0,108],
-"_text_edit_8h_source.html":[2,0,108],
-"_thread_8h.html":[2,0,109],
-"_thread_8h_source.html":[2,0,109],
-"_trajectory_generator1_d_8h.html":[2,0,110],
-"_trajectory_generator1_d_8h_source.html":[2,0,110],
-"_trajectory_generator2_d_circle_8h.html":[2,0,111],
-"_trajectory_generator2_d_circle_8h_source.html":[2,0,111],
-"_uav_8h.html":[2,0,112],
-"_uav_8h.html#a25c35970b8786dd95240a48119065b69":[2,0,112,1],
-"_uav_8h_source.html":[2,0,112],
-"_uav_factory_8h_source.html":[2,0,113],
-"_uav_multiplex_8h.html":[2,0,114],
-"_uav_multiplex_8h_source.html":[2,0,114],
-"_uav_state_machine_8h_source.html":[2,0,115],
-"_udp_socket_8h_source.html":[2,0,116],
-"_udt_socket_8h.html":[2,0,117],
-"_udt_socket_8h.html#a1271a7ac7e1dd35a9765f73aba412eb8":[2,0,117,1],
-"_udt_socket_8h_source.html":[2,0,117],
-"_unix___i2c_port_8h.html":[2,0,118],
-"_unix___i2c_port_8h_source.html":[2,0,118],
-"_unix___serial_port_8h.html":[2,0,119],
-"_unix___serial_port_8h_source.html":[2,0,119],
-"_us_range_finder_8h.html":[2,0,120],
-"_us_range_finder_8h_source.html":[2,0,120],
-"_v4_l_camera_8h.html":[2,0,121],
-"_v4_l_camera_8h_source.html":[2,0,121],
-"_vector2_d_8h.html":[2,0,122],
-"_vector2_d_8h.html#a002f684b4b4b844feaed934297b651a2":[2,0,122,7],
-"_vector2_d_8h.html#a4f6b5216e29c497351829aae1cd86ca4":[2,0,122,6],
-"_vector2_d_8h.html#a762372bce051dd5543ec9f596e3f863c":[2,0,122,2],
-"_vector2_d_8h.html#abc8f6e4575318eceb0d34dd38d6cb783":[2,0,122,1],
-"_vector2_d_8h.html#ac3c3c0fe665086b60dac657b8ee40911":[2,0,122,4],
-"_vector2_d_8h.html#ae0485a88dc635bfdea7b0282ac0369c4":[2,0,122,3],
-"_vector2_d_8h.html#afed3cf9fa6c2e0afb37994f55222d019":[2,0,122,5],
-"_vector2_d_8h_source.html":[2,0,122],
-"_vector3_d_8h.html":[2,0,123],
-"_vector3_d_8h.html#a131335b8d92a76f6d3a40d9762ad0bdb":[2,0,123,2],
-"_vector3_d_8h.html#a2604f9cc047961b44a0db4aa0434b36e":[2,0,123,7],
-"_vector3_d_8h.html#a2b78f60f37e4ba6d62db603ca6631e95":[2,0,123,6],
-"_vector3_d_8h.html#a619733e606845eb59f7e779f2f119019":[2,0,123,9],
-"_vector3_d_8h.html#a65433796fbd8ccc2e1bb797be204b249":[2,0,123,5],
-"_vector3_d_8h.html#a661465072c8d4b3592abde48c068d73a":[2,0,123,8],
-"_vector3_d_8h.html#a792d54dcdbd816e6c7bc5ac04b5d9b22":[2,0,123,10]
+"_neo_m8_n_8h.html":[2,0,66],
+"_neo_m8_n_8h_source.html":[2,0,66],
+"_nested_sat_8h.html":[2,0,67],
+"_nested_sat_8h_source.html":[2,0,67],
+"_nmea_gps_8h.html":[2,0,68],
+"_nmea_gps_8h_source.html":[2,0,68],
+"_novatel_8h.html":[2,0,69],
+"_novatel_8h_source.html":[2,0,69],
+"_object_8h.html":[2,0,70],
+"_object_8h.html#a0e8095ce1ed00bd4150a20c72d4e4330":[2,0,70,2],
+"_object_8h.html#a63b4b9f532f414a0e0023acaf81f845e":[2,0,70,8],
+"_object_8h.html#a855a0b471afb53d73f572c402f1737e0":[2,0,70,3],
+"_object_8h.html#a9b03c04ef7c1cc240afc43e9ef8ba8b7":[2,0,70,6],
+"_object_8h.html#aa7fe0d3548e4e65719702a7fb29775b1":[2,0,70,9],
+"_object_8h.html#acc0fa041e08ecf73b2d1d723c339a736":[2,0,70,7],
+"_object_8h.html#ad436e1e1d6bf1c744f5eca58bfa1fcc8":[2,0,70,4],
+"_object_8h.html#ae1568cf3090c973c3bc47f86ae2f5afb":[2,0,70,5],
+"_object_8h_source.html":[2,0,70],
+"_one_axis_rotation_8h.html":[2,0,71],
+"_one_axis_rotation_8h_source.html":[2,0,71],
+"_parser_8h_source.html":[2,0,72],
+"_picture_8h.html":[2,0,73],
+"_picture_8h_source.html":[2,0,73],
+"_pid_8h.html":[2,0,74],
+"_pid_8h_source.html":[2,0,74],
+"_pid_thrust_8h.html":[2,0,75],
+"_pid_thrust_8h_source.html":[2,0,75],
+"_ps3_eye_8h.html":[2,0,76],
+"_ps3_eye_8h_source.html":[2,0,76],
+"_push_button_8h.html":[2,0,77],
+"_push_button_8h_source.html":[2,0,77],
+"_quaternion_8h.html":[2,0,78],
+"_quaternion_8h.html#a1344cd050aed7267279064d9f51e5bf3":[2,0,78,5],
+"_quaternion_8h.html#a5b293c3961eee927ab186df043028a4e":[2,0,78,6],
+"_quaternion_8h.html#a7a25a222fe16e05be703de31123a6d11":[2,0,78,4],
+"_quaternion_8h.html#ab372a1107820a30d6fcbef13c8989caa":[2,0,78,1],
+"_quaternion_8h.html#ac696d4111ec3b0241bc094add5666245":[2,0,78,2],
+"_quaternion_8h.html#af80d99fd1ebc9ab4059ec19d5e9cf2a1":[2,0,78,3],
+"_quaternion_8h_source.html":[2,0,78],
+"_r_t_d_m___i2c_port_8h.html":[2,0,82],
+"_r_t_d_m___i2c_port_8h_source.html":[2,0,82],
+"_r_t_d_m___serial_port_8h.html":[2,0,83],
+"_r_t_d_m___serial_port_8h_source.html":[2,0,83],
+"_radio_receiver_8h.html":[2,0,79],
+"_radio_receiver_8h_source.html":[2,0,79],
+"_range_finder_plot_8h.html":[2,0,80],
+"_range_finder_plot_8h_source.html":[2,0,80],
+"_rotation_matrix_8h.html":[2,0,81],
+"_rotation_matrix_8h_source.html":[2,0,81],
+"_semaphore_8h.html":[2,0,84],
+"_semaphore_8h_source.html":[2,0,84],
+"_send_data_8h.html":[2,0,85],
+"_send_data_8h_source.html":[2,0,85],
+"_sensor_g_l_8h_source.html":[2,0,86],
+"_serial_port_8h.html":[2,0,87],
+"_serial_port_8h_source.html":[2,0,87],
+"_shared_mem_8h.html":[2,0,88],
+"_shared_mem_8h_source.html":[2,0,88],
+"_simu_ahrs_8h.html":[2,0,89],
+"_simu_ahrs_8h_source.html":[2,0,89],
+"_simu_bldc_8h.html":[2,0,90],
+"_simu_bldc_8h_source.html":[2,0,90],
+"_simu_camera_8h.html":[2,0,91],
+"_simu_camera_8h_source.html":[2,0,91],
+"_simu_camera_g_l_8h.html":[2,0,92],
+"_simu_camera_g_l_8h.html#a120fb070bddb21f0bd899f50252c4cb5":[2,0,92,1],
+"_simu_camera_g_l_8h_source.html":[2,0,92],
+"_simu_gps_8h.html":[2,0,93],
+"_simu_gps_8h_source.html":[2,0,93],
+"_simu_imu_8h.html":[2,0,94],
+"_simu_imu_8h_source.html":[2,0,94],
+"_simu_laser_8h_source.html":[2,0,95],
+"_simu_laser_g_l_8h_source.html":[2,0,96],
+"_simu_us_8h.html":[2,0,98],
+"_simu_us_8h_source.html":[2,0,98],
+"_simu_us_g_l_8h.html":[2,0,99],
+"_simu_us_g_l_8h_source.html":[2,0,99],
+"_simu_x4_8h.html":[2,0,100],
+"_simu_x4_8h_source.html":[2,0,100],
+"_simu_x8_8h.html":[2,0,101],
+"_simu_x8_8h_source.html":[2,0,101],
+"_simulator_8h_source.html":[2,0,97],
+"_spin_box_8h.html":[2,0,102],
+"_spin_box_8h_source.html":[2,0,102],
+"_srf08_8h.html":[2,0,103],
+"_srf08_8h_source.html":[2,0,103],
+"_tab_8h.html":[2,0,104],
+"_tab_8h_source.html":[2,0,104],
+"_tab_widget_8h.html":[2,0,105],
+"_tab_widget_8h_source.html":[2,0,105],
+"_target_controller_8h_source.html":[2,0,106],
+"_target_eth_controller_8h_source.html":[2,0,107],
+"_tcp_socket_8h.html":[2,0,108],
+"_tcp_socket_8h_source.html":[2,0,108],
+"_text_edit_8h.html":[2,0,109],
+"_text_edit_8h_source.html":[2,0,109],
+"_thread_8h.html":[2,0,110],
+"_thread_8h_source.html":[2,0,110],
+"_trajectory_generator1_d_8h.html":[2,0,111],
+"_trajectory_generator1_d_8h_source.html":[2,0,111],
+"_trajectory_generator2_d_circle_8h.html":[2,0,112],
+"_trajectory_generator2_d_circle_8h_source.html":[2,0,112],
+"_uav_8h.html":[2,0,113],
+"_uav_8h.html#a25c35970b8786dd95240a48119065b69":[2,0,113,1],
+"_uav_8h_source.html":[2,0,113],
+"_uav_factory_8h_source.html":[2,0,114],
+"_uav_multiplex_8h.html":[2,0,115],
+"_uav_multiplex_8h_source.html":[2,0,115],
+"_uav_state_machine_8h_source.html":[2,0,116],
+"_udp_socket_8h_source.html":[2,0,117],
+"_udt_socket_8h.html":[2,0,118],
+"_udt_socket_8h.html#a1271a7ac7e1dd35a9765f73aba412eb8":[2,0,118,1],
+"_udt_socket_8h_source.html":[2,0,118],
+"_unix___i2c_port_8h.html":[2,0,119],
+"_unix___i2c_port_8h_source.html":[2,0,119],
+"_unix___serial_port_8h.html":[2,0,120],
+"_unix___serial_port_8h_source.html":[2,0,120],
+"_us_range_finder_8h.html":[2,0,121],
+"_us_range_finder_8h_source.html":[2,0,121],
+"_v4_l_camera_8h.html":[2,0,122],
+"_v4_l_camera_8h_source.html":[2,0,122],
+"_vector2_d_8h.html":[2,0,123],
+"_vector2_d_8h.html#a002f684b4b4b844feaed934297b651a2":[2,0,123,7],
+"_vector2_d_8h.html#a4f6b5216e29c497351829aae1cd86ca4":[2,0,123,6],
+"_vector2_d_8h.html#a762372bce051dd5543ec9f596e3f863c":[2,0,123,2],
+"_vector2_d_8h.html#abc8f6e4575318eceb0d34dd38d6cb783":[2,0,123,1],
+"_vector2_d_8h.html#ac3c3c0fe665086b60dac657b8ee40911":[2,0,123,4],
+"_vector2_d_8h.html#ae0485a88dc635bfdea7b0282ac0369c4":[2,0,123,3],
+"_vector2_d_8h.html#afed3cf9fa6c2e0afb37994f55222d019":[2,0,123,5],
+"_vector2_d_8h_source.html":[2,0,123],
+"_vector3_d_8h.html":[2,0,124],
+"_vector3_d_8h.html#a131335b8d92a76f6d3a40d9762ad0bdb":[2,0,124,2],
+"_vector3_d_8h.html#a2604f9cc047961b44a0db4aa0434b36e":[2,0,124,7],
+"_vector3_d_8h.html#a2b78f60f37e4ba6d62db603ca6631e95":[2,0,124,6],
+"_vector3_d_8h.html#a619733e606845eb59f7e779f2f119019":[2,0,124,9],
+"_vector3_d_8h.html#a65433796fbd8ccc2e1bb797be204b249":[2,0,124,5]
 };
Index: trunk/doc/Flair/navtreeindex1.js
===================================================================
--- trunk/doc/Flair/navtreeindex1.js	(revision 61)
+++ trunk/doc/Flair/navtreeindex1.js	(revision 62)
@@ -1,30 +1,32 @@
 var NAVTREEINDEX1 =
 {
-"_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9":[2,0,123,3],
-"_vector3_d_8h.html#a8b0038ee673b89322347a81adef054f0":[2,0,123,1],
-"_vector3_d_8h.html#af0db4963be6fc919dd900fd01d9a61f0":[2,0,123,4],
-"_vector3_d_8h_source.html":[2,0,123],
-"_vector3_d_spin_box_8h.html":[2,0,125],
-"_vector3_d_spin_box_8h_source.html":[2,0,125],
-"_vector3_ddata_8h.html":[2,0,124],
-"_vector3_ddata_8h_source.html":[2,0,124],
-"_visualization_camera_8h_source.html":[2,0,126],
-"_vrpn_client_8h.html":[2,0,127],
-"_vrpn_client_8h.html#a96c531aa24e6dd95ac9dc400d8e52b2c":[2,0,127,1],
-"_vrpn_client_8h_source.html":[2,0,127],
-"_vrpn_object_8h.html":[2,0,128],
-"_vrpn_object_8h_source.html":[2,0,128],
-"_watchdog_8h.html":[2,0,129],
-"_watchdog_8h_source.html":[2,0,129],
-"_widget_8h.html":[2,0,130],
-"_widget_8h_source.html":[2,0,130],
-"_x4_8h_source.html":[2,0,131],
-"_x4_x8_multiplex_8h.html":[2,0,132],
-"_x4_x8_multiplex_8h_source.html":[2,0,132],
-"_x8_8h_source.html":[2,0,133],
-"_x_air_8h.html":[2,0,134],
-"_x_air_8h_source.html":[2,0,134],
-"_x_bldc_8h.html":[2,0,135],
-"_x_bldc_8h_source.html":[2,0,135],
+"_vector3_d_8h.html#a661465072c8d4b3592abde48c068d73a":[2,0,124,8],
+"_vector3_d_8h.html#a792d54dcdbd816e6c7bc5ac04b5d9b22":[2,0,124,10],
+"_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9":[2,0,124,3],
+"_vector3_d_8h.html#a8b0038ee673b89322347a81adef054f0":[2,0,124,1],
+"_vector3_d_8h.html#af0db4963be6fc919dd900fd01d9a61f0":[2,0,124,4],
+"_vector3_d_8h_source.html":[2,0,124],
+"_vector3_d_spin_box_8h.html":[2,0,126],
+"_vector3_d_spin_box_8h_source.html":[2,0,126],
+"_vector3_ddata_8h.html":[2,0,125],
+"_vector3_ddata_8h_source.html":[2,0,125],
+"_visualization_camera_8h_source.html":[2,0,127],
+"_vrpn_client_8h.html":[2,0,128],
+"_vrpn_client_8h.html#a96c531aa24e6dd95ac9dc400d8e52b2c":[2,0,128,1],
+"_vrpn_client_8h_source.html":[2,0,128],
+"_vrpn_object_8h.html":[2,0,129],
+"_vrpn_object_8h_source.html":[2,0,129],
+"_watchdog_8h.html":[2,0,130],
+"_watchdog_8h_source.html":[2,0,130],
+"_widget_8h.html":[2,0,131],
+"_widget_8h_source.html":[2,0,131],
+"_x4_8h_source.html":[2,0,132],
+"_x4_x8_multiplex_8h.html":[2,0,133],
+"_x4_x8_multiplex_8h_source.html":[2,0,133],
+"_x8_8h_source.html":[2,0,134],
+"_x_air_8h.html":[2,0,135],
+"_x_air_8h_source.html":[2,0,135],
+"_x_bldc_8h.html":[2,0,136],
+"_x_bldc_8h_source.html":[2,0,136],
 "annotated.html":[1,0],
 "classes.html":[1,1],
@@ -248,6 +250,4 @@
 "classflair_1_1core_1_1_i2c_port.html#a851fc14390e08ba50d312a8f5395d28f":[1,0,0,1,14,3],
 "classflair_1_1core_1_1_i2c_port.html#ab6fd9827c2301602e5aab8b141800da1":[1,0,0,1,14,6],
-"classflair_1_1core_1_1_i2c_port.html#ad48445514c3b9e02a1eda6a6595ba686":[1,0,0,1,14,1],
-"classflair_1_1core_1_1_i2c_port.html#ae12b6920d11f939272b08d36409406ce":[1,0,0,1,14,0],
-"classflair_1_1core_1_1_i2c_port.html#aed344676d32a7876b4514e8079fcfb39":[1,0,0,1,14,2]
+"classflair_1_1core_1_1_i2c_port.html#ad48445514c3b9e02a1eda6a6595ba686":[1,0,0,1,14,1]
 };
Index: trunk/doc/Flair/navtreeindex2.js
===================================================================
--- trunk/doc/Flair/navtreeindex2.js	(revision 61)
+++ trunk/doc/Flair/navtreeindex2.js	(revision 62)
@@ -1,4 +1,6 @@
 var NAVTREEINDEX2 =
 {
+"classflair_1_1core_1_1_i2c_port.html#ae12b6920d11f939272b08d36409406ce":[1,0,0,1,14,0],
+"classflair_1_1core_1_1_i2c_port.html#aed344676d32a7876b4514e8079fcfb39":[1,0,0,1,14,2],
 "classflair_1_1core_1_1_i_o_data_element.html":[1,0,0,1,17],
 "classflair_1_1core_1_1_i_o_data_element.html#a0e825dc81d8bcc583eed42aec43ce7c2":[1,0,0,1,17,4],
@@ -145,8 +147,9 @@
 "classflair_1_1core_1_1_scalar_type.html#ab8e434563467b0eba8c6cccba1542c8c":[1,0,0,1,27,2],
 "classflair_1_1core_1_1_semaphore.html":[1,0,0,1,28],
-"classflair_1_1core_1_1_semaphore.html#a045a06ff109107b9d767efc2ec66d180":[1,0,0,1,28,3],
+"classflair_1_1core_1_1_semaphore.html#a045a06ff109107b9d767efc2ec66d180":[1,0,0,1,28,4],
+"classflair_1_1core_1_1_semaphore.html#a4d7c9d659a42a4db62a56226b211cfc5":[1,0,0,1,28,2],
 "classflair_1_1core_1_1_semaphore.html#a5db3e44d22d40dd29f6853394300d1df":[1,0,0,1,28,0],
-"classflair_1_1core_1_1_semaphore.html#a640b354e4a388130befe88ea2b6a2c09":[1,0,0,1,28,2],
-"classflair_1_1core_1_1_semaphore.html#aad79ca01711327d0cf4a99bbadeeb11d":[1,0,0,1,28,4],
+"classflair_1_1core_1_1_semaphore.html#a640b354e4a388130befe88ea2b6a2c09":[1,0,0,1,28,3],
+"classflair_1_1core_1_1_semaphore.html#aad79ca01711327d0cf4a99bbadeeb11d":[1,0,0,1,28,5],
 "classflair_1_1core_1_1_semaphore.html#ae1a3001af72b853a3de39bd11f564790":[1,0,0,1,28,1],
 "classflair_1_1core_1_1_serial_port.html":[1,0,0,1,29],
@@ -161,5 +164,5 @@
 "classflair_1_1core_1_1_shared_mem.html#a003b9e48b88ac57bb7255b80f7768d9f":[1,0,0,1,30,1],
 "classflair_1_1core_1_1_shared_mem.html#a7609d68ab9155055bea84cafaf741392":[1,0,0,1,30,3],
-"classflair_1_1core_1_1_shared_mem.html#a9b3efaf91b3a62a58d4466bcaa03b590":[1,0,0,1,30,4],
+"classflair_1_1core_1_1_shared_mem.html#a834ba5f2d06345b0125f7ba8b66391b6":[1,0,0,1,30,4],
 "classflair_1_1core_1_1_shared_mem.html#ac51e68f77d5ab8dc62e41b90a0a8bff3":[1,0,0,1,30,0],
 "classflair_1_1core_1_1_shared_mem.html#ac51e68f77d5ab8dc62e41b90a0a8bff3a25a01bb859125507013a2fe9737d3c32":[1,0,0,1,30,0,0],
@@ -247,7 +250,4 @@
 "classflair_1_1core_1_1_unsigned_integer_type.html#ae0d7cb20d8e88cd696ce8e0d53861d0d":[1,0,0,1,38,0],
 "classflair_1_1core_1_1_vector2_d.html":[1,0,0,1,39],
-"classflair_1_1core_1_1_vector2_d.html#a21daa593189491de24363448b1ad73af":[1,0,0,1,39,2],
-"classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e":[1,0,0,1,39,0],
-"classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751":[1,0,0,1,39,3],
-"classflair_1_1core_1_1_vector2_d.html#a7551a14a121ef7637f18b5dabc0d6f19":[1,0,0,1,39,8]
+"classflair_1_1core_1_1_vector2_d.html#a21daa593189491de24363448b1ad73af":[1,0,0,1,39,2]
 };
Index: trunk/doc/Flair/navtreeindex3.js
===================================================================
--- trunk/doc/Flair/navtreeindex3.js	(revision 61)
+++ trunk/doc/Flair/navtreeindex3.js	(revision 62)
@@ -1,4 +1,7 @@
 var NAVTREEINDEX3 =
 {
+"classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e":[1,0,0,1,39,0],
+"classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751":[1,0,0,1,39,3],
+"classflair_1_1core_1_1_vector2_d.html#a7551a14a121ef7637f18b5dabc0d6f19":[1,0,0,1,39,8],
 "classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df":[1,0,0,1,39,1],
 "classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389":[1,0,0,1,39,14],
@@ -247,7 +250,4 @@
 "classflair_1_1filter_1_1_uav_multiplex.html#a8d9552b36d8c4f001659c4c4872cafc9":[1,0,0,2,15,3],
 "classflair_1_1filter_1_1_uav_multiplex.html#a920cc79e53e8b342c364cf6666d5387c":[1,0,0,2,15,15],
-"classflair_1_1filter_1_1_uav_multiplex.html#a953b44b3c4394b442ef7387f5103ec21":[1,0,0,2,15,16],
-"classflair_1_1filter_1_1_uav_multiplex.html#aa9a7e053431c9a266df9754da194132d":[1,0,0,2,15,9],
-"classflair_1_1filter_1_1_uav_multiplex.html#ab63686eef3ef921295f61b4df1bc8045":[1,0,0,2,15,4],
-"classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f":[1,0,0,2,15,13]
+"classflair_1_1filter_1_1_uav_multiplex.html#a953b44b3c4394b442ef7387f5103ec21":[1,0,0,2,15,16]
 };
Index: trunk/doc/Flair/navtreeindex4.js
===================================================================
--- trunk/doc/Flair/navtreeindex4.js	(revision 61)
+++ trunk/doc/Flair/navtreeindex4.js	(revision 62)
@@ -1,4 +1,7 @@
 var NAVTREEINDEX4 =
 {
+"classflair_1_1filter_1_1_uav_multiplex.html#aa9a7e053431c9a266df9754da194132d":[1,0,0,2,15,9],
+"classflair_1_1filter_1_1_uav_multiplex.html#ab63686eef3ef921295f61b4df1bc8045":[1,0,0,2,15,4],
+"classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f":[1,0,0,2,15,13],
 "classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0":[1,0,0,2,15,8],
 "classflair_1_1filter_1_1_uav_multiplex.html#acce7153720afb9f7478dd3293095eeff":[1,0,0,2,15,5],
@@ -247,7 +250,4 @@
 "classflair_1_1meta_1_1_uav_state_machine.html#a3b7de00de9545a3f7d1019a643465612a90589c47f06eb971d548591f23c285af":[1,0,0,4,7,1,1],
 "classflair_1_1meta_1_1_uav_state_machine.html#a3b7de00de9545a3f7d1019a643465612ae1ba155a9f2e8c3be94020eef32a0301":[1,0,0,4,7,1,0],
-"classflair_1_1meta_1_1_uav_state_machine.html#a45b552098e86c12fb4024785c1d95516":[1,0,0,4,7,12],
-"classflair_1_1meta_1_1_uav_state_machine.html#a479a742afa89d898c03aeb0a06d8f290":[1,0,0,4,7,20],
-"classflair_1_1meta_1_1_uav_state_machine.html#a47ae3142c18f797bfba0b209e8518650":[1,0,0,4,7,21],
-"classflair_1_1meta_1_1_uav_state_machine.html#a4d6998ef27892a685ff1f0d1be600f72":[1,0,0,4,7,30]
+"classflair_1_1meta_1_1_uav_state_machine.html#a45b552098e86c12fb4024785c1d95516":[1,0,0,4,7,12]
 };
